# Generated by Django 2.2 on 2019-06-14 20:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('readings', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='readingresponse',
            name='data',
        ),
        migrations.AddField(
            model_name='reading',
            name='service',
            field=models.CharField(blank=True, max_length=30),
        ),
        migrations.AlterField(
            model_name='reading',
            name='database',
            field=models.CharField(blank=True, max_length=30),
        ),
        migrations.AlterField(
            model_name='reading',
            name='section',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='readings.SectionReading'),
        ),
        migrations.AlterField(
            model_name='readingresponse',
            name='reading',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reading_resoponses', to='readings.Reading'),
        ),
        migrations.AlterField(
            model_name='readingvalidation',
            name='response',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='reading_validations', to='readings.ReadingResponse'),
        ),
        migrations.AlterField(
            model_name='sectionreading',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='section_readings', to='frontend.Project'),
        ),
    ]
